<?php
date_default_timezone_set("America/Bogota");

$datos=json_decode(file_get_contents('php://input'),true);


if(isset($datos["turno"])){

$turno=str_replace(' ', '', $datos["turno"]);
if($turno==""){
    echo("No Has enviado Ningun Turno");
}else{
    $bodega=$datos["bodega"];
    include("../conexion/conexion.php");
    $conec=new conexion();

    $fecha2=date("Y-m-d");


   
    $consulta="SELECT * FROM `cuadrecaja` WHERE fecha='$fecha2' AND idbodega=$bodega AND cdturno='$turno' ";     
  
    $resultado=$conec->conectar()->query($consulta); 
//  echo var_dump($consulta);

    if( $fila=mysqli_fetch_object($resultado)){
        if($_SESSION["tipo"]==1){
            $sentecia="UPDATE `empresa` SET `estadoTurno`='a',`turno`='$turno' WHERE bodegaEm=$bodega";
            $resultado=$conec->conectar()->query($sentecia);
            if($resultado){
                echo("turno iniciado con exito");
            }
        }else{
            echo ("Solo el Usuario Adminitrador Puede Reabrir el turno");
        }
        

      
       }else{  

        if($_SESSION["activarTurnos"] ==0 || $_SESSION["activarTurnos"] =="0" ){
            

            $sentecia="UPDATE `empresa` SET `estadoTurno`='a',`turno`='$turno' WHERE bodegaEm=$bodega";
            $resultado=$conec->conectar()->query($sentecia);
            if($resultado){
                echo("turno iniciado con exito.");
            }      
            
    }else{
        $consulta1="SELECT * FROM `empresa` WHERE `estadoTurno`='a' AND bodegaEm=$bodega  ";     
  
        $resultado1=$conec->conectar()->query($consulta1); 
      


        if( $fila=mysqli_fetch_object($resultado1)){

            if($_SESSION["tipo"]==1){
                $sentecia="UPDATE `empresa` SET `estadoTurno`='a',`turno`='$turno' WHERE bodegaEm=$bodega";
                $resultado=$conec->conectar()->query($sentecia);
                if($resultado){
                    echo("turno iniciado con exito.");
                }
            }else{
                echo("No se puede iniciar un turno nuevo, debes de cerrar el turno actual");
            }
            
           
        }else{
            $sentecia="UPDATE `empresa` SET `estadoTurno`='a',`turno`='$turno' WHERE bodegaEm=$bodega";
            $resultado=$conec->conectar()->query($sentecia);
            if($resultado){
                echo("turno iniciado con exito.");
            }
          
        }

    }
    
       }
    }








}else{
    echo("No Has enviado Ningun Turno");
}
?>